
Redmine - Defect #2546

Cannot view RSS feeds in Safari

2009-01-20 12:48 - Joe Chin

Status: Closed Start date: 2009-01-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

RSS feeds in Safari/OSX no longer work. Same problem when using Apple Mail RSS subscription. Something has changed in the

format because this worked perfectly before.

"The feed could not be loaded because the content is not in a known feed format." (PubSub:2)

History

#1 - 2009-01-21 18:56 - Jean-Philippe Lang

I did a quick test with Safari. It seems to work fine.

Can you attach the feed content please?

#2 - 2009-01-22 10:10 - Joe Chin

- File Picture_1.png added

- File lister.atom added

I installed from SVN so maybe something has changed in the development copy. I have included a screenshot as well as a copy of the RSS feed.

#3 - 2009-01-22 10:22 - Joe Chin

Redmine 0.8.0.devel.2264 (MySQL)

#4 - 2009-01-24 10:05 - Jean-Philippe Lang

Not able to reproduce.

I have Safari 3.2.1 that displays your atom file just fine.

#5 - 2009-03-07 13:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

#6 - 2009-09-18 16:23 - Eric Allen

- Status changed from Closed to Reopened

The issue seems to be not the data format, but how it's transferred. I can download the feed from my Redmine server and open the file in Safari just

fine, but visiting the feed URL fails. MIME type issue, maybe?

#7 - 2009-09-18 16:28 - Eric Allen

Oh, and this is showing up in Redmine 0.8.5. Doesn't seem to be a problem at redmine.org, so maybe it's been fixed in trunk.

#8 - 2009-09-28 14:55 - Luca Pireddu

Try using the Atom feed instead of RSS

#9 - 2013-02-06 10:36 - Daniel Felix

- Status changed from Reopened to Closed

I'm not able to reproduce this anymore.
This seems to be fixed. I'm closing this issue.

Files

Picture_1.png 76.5 KB 2009-01-22 Joe Chin

lister.atom 3.61 KB 2009-01-22 Joe Chin
